.. _arbitrator-probe-configuration:

Probe Configuration
-------------------------

.. _SP23|New config screen added to allow customer ndx file retention times. Default is 6 months.:
.. _SP23|New PRI and SIP Trunk probes for Cisco Voice Gateways. Please reference Arbitrator Cisco PRI and SIP Probe Configuration for instructions.:
.. _SP25|Webex API support added (Requires Dashboard SP66 Release for visualization).:
.. _22.1|VOSS-934:
.. _22.1|EKB-12298:
.. _22.2|EKB-13343:
.. _23.1|EKB-13157:
.. _23.1|EKB-15145:
.. _23.1|VOSS-986:
.. _23.1|VOSS-1153:
.. _23.2|EKB-14142:
.. _23.2|EKB-16510:
.. _23.3|EKB-17216:




Overview
.......................

The Probes Configuration panel allows you to assign a group of scripts to
an asset that can run on a set interval. These scripts will allow for data
collection from many types of devices. The protocols can be API, SNMP or
custom CLI scripts. SNMP v3 is also supported.

The return data from the Probes can then be injected
into the system for correlation or can be stored in the database to allow
for analysis on the Dashboard/Reporting server.

For PRI and SIP Trunk probes for Cisco Voice Gateways, reference:

.. raw:: latex

   Arbitrator Cisco PRI and SIP Probe Configuration

.. raw:: html

   <a href="VOSS-Insights-Arbitrator-probes-to-monitor-Cisco-PRI-and-SIP-performance-monitoring.html">Arbitrator Cisco PRI and SIP Probe Configuration</a>
   for instructions.


Add a Probe Group 
......................

To create a new Probe Group:

1. Click the Probe icon from the Menu bar.
2. Click the "Plus" icon within the Groups pane in the bottom left
   corner.
3. Enter the "Group" name and press Enter.
4. Click the "Save" icon in the upper right corner.

|

.. image:: /src/images/assurance-correlation-image17.png
    
|


Clone a Probe Group
.....................

To clone an existing Probe Group:

1. Click the Probe icon from the Menu bar.
2. Select a Probe group to clone from.
3. Click the "C" icon within the Groups pane in the bottom left
   corner.
4. The cloned "Group" name shows: *<source group name> clone*. Modify this name
   to the required name.
5. Click the "Save" icon to save the added Probe.
6. The probes contained in this new group can also be modified. Refer
   to the steps to add, clone and modify probes.

|

.. image:: /src/images/insights-arb-probes-clone.png

|


Create a Probe 
..................

To create a new Probe: 

1. Click the group in which you wish to create a new Probe. 
2. Click the Plus icon within the Probes panel. 
3. Enter the name and description of the Probe. 
4. De-select the check icon from the field titled "Custom". This field is
   utilized when putting a custom probe in place versus utilizing the
   ones within the system. 
5. Select the Probe Category from the drop-down list. This will populate
   the scripts available in that category within the drop-down menu
   titled "Select Script". 
6. Select a script from the script drop-down list. 
7. Enter any additional information required by the selected script, such
   as the hostname, IP, etc. 
8. Click the "Check" icon to close the probe in the far right of the
   Probe panel. 
9. Click the "Save" icon to save the added Probe. 

|

.. image:: /src/images/assurance-correlation-image18.png

|


Clone a Probe
.................

To clone a probe:

1. Click the probe which you wish to clone.
2. Click the "C" icon within the **Probes** panel.
3. The cloned "Probe" name shows: *<source probe name> clone*. Modify this name
   to the required name as well as any other properties you need to.
4. Select the **Done** checkbox before saving.   
5. Click the "Save" icon to save the added probe.



Create a Custom Probe
........................

To create a new Probe: 

1. Click the group in which you wish to create a new Probe. 
2. Click the Plus icon within the Probes panel. 
3. Enter the name and description of the Probe. 
4. Select and click the check icon from the field titled "Custom". This
   field is utilized when putting a custom probe in place versus
   utilizing the ones within the system. 
5. Enter the path and script that you wish to run. 
6. Click the "Check" icon to close the probe in the far right of the
   Probe panel. 
7. Click the "Save" icon to save the added Probe. 

|

.. image:: /src/images/assurance-correlation-image15.png
    
|


Delete a Probe Group
........................

To delete a Probe Group: 

1. Click the check box next to the group name you wish to delete. 
2. Click the Minus icon within the Probe Group panel in the bottom left. 
3. Click the "Save" icon to save the changes. 

|

.. image:: /src/images/assurance-correlation-image16.png
    
|


    

Delete a Probe
..................

To delete a Probe: 

1. Click the check box next to the Probe name you wish to delete. 
2. Click the Minus icon within the Probe panel in the bottom right. 
3. Click the "Save" icon to save the changes. 


|

.. image:: /src/images/assurance-correlation-image14.png
    
|


Export and Import a Profile 
............................

.. important::

   This import/export is special. Since we do not have a Profile main screen,
   the import/export profiles are in Probe Configuration; the same as the legacy
   push button (right next import/export buttons).


Within the **PROBE CONFIGURATION** section, you can export and
import the profiles that you exported from another system.

A new system log table ``insights_system_log`` has also been added
to log user actions and a user can create a dashboard to view these actions.

See the:

.. raw:: html

   <a href="../VAA-dashboard-reporting/log-search.html">Log Search</a>

.. raw:: latex

   Log Search Section in the Dashboard and Reporting Administration Guide.


Export a Profile
''''''''''''''''''''

1. Click the Down arrow button at the bottom of the **PROBE CONFIGURATION** panel.

   Since this is a probe configuration, we cannot select individual profiles,
   so it will export all profiles in the system.
2. The **Export CSV** dialog opens. Enter a **CSV file name** (You do
   not have to add the ``.csv`` file extension) and click **Export**.
3. The **Export finished** dialog shows when the export file has been created.
   Click **Download** to save the CSV file to your selected download location.

Import a Profile
''''''''''''''''''

1. Click the Up arrow button at the bottom of the **PROBE CONFIGURATION** panel.
2. A pop-up box will appear asking you choose your file.
3. Click the **Choose file** button and select the exported CSV file that you
   have saved to your computer.
4. Click the **Import** button.


Profile CSV Format
''''''''''''''''''''

The following columns are in an exported CSV file:

::

   "Row Action","Asset Name","IP Address","Customer Name",
   "Site Name","Probe Group Name","Credential 1 Name",
   "Credential 2 Name","Frequency (s)",Enable
    
.. note::

   * The ``"Row Action"`` column is used when importing and if it contains "delete",
     then the row will be deleted upon import.
   * "Probe Group Name" must be unique.
   * Combination: "IP Address","Customer Name","Site Name" must to be unique.
   * "Asset Name" is used as a reference of the asset.
   * When importing and if an asset and a probe group are found, then a profile
     will be updated/inserted. If not, nothing to import.

|

.. image:: /src/images/arbitrator-import-probe.png

|

Assign a Probe to an Asset
'''''''''''''''''''''''''''''

A probe group assigned to an asset can be modified using a profile CSV file import by specifying
the related "Asset Name" and "Probe Group Name" in the CSV file.

For example, consider an asset "Local System" that has 3 profiles:

|

.. image:: /src/images/Insights-asset-local-system-3-profiles.png

|

We can assign probe "Cisco CUCM Version" to asset "Local System"
as a CSV file import:

|

.. image:: /src/images/Insights-CSV-row-add-profile-to-asset.png

|

After importing, the profile is added to the probe group.   

|

.. image:: /src/images/Insights-asset-local-system-4-profiles.png




